GET
/v2/providers/fms/apis/api/v1/vendors/{vendorId}/coupons/{couponId}/items2609170000[立减优惠券] 查看优惠产品列表 (status)
# 01
简介
[立减优惠券] 查看优惠产品列表 (status)
# 02
详细内容
API支持的买家用户地区:韩国
该API用于按照优惠券状态查看创建的优惠券中的产品单项。
路径
GET/v2/providers/fms/apis/api/v1/vendors/{vendorId}/coupons/{couponId}/items
示例端点
https://api-gateway.coupang.com/v2/providers/fms/apis/api/v1/vendors/A00012345/coupons/99/items?status=APPLIED&page=1&size=10&sort=desc# 03
Path 参数
| Name | Type | Description |
|---|---|---|
| vendorId* | string | 卖家ID 酷澎分配给卖家的固有代码 ex) A00012345 |
| couponId* | number | Coupon 号
|
# 04
响应体
响应消息
| Name | Type | Description | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | integer | 服务器返回代码
| ||||||||||
| message | string | 服务器返回消息
| ||||||||||
| httpStatus | integer | HTTP 状态码(与服务器返回码相同)
| ||||||||||
| httpStatusMessage | string | HTTP 状态消息(与服务器返回消息相同)
| ||||||||||
| errorMessage | string | 除HTTP Status 200以外,剩下Status 中包含服务器详细失败原因信息。
| ||||||||||
| data | object | 优惠券列表数据
| ||||||||||
| success data.success | boolean | 成功与否 true or false | ||||||||||
| content data.content | object[] | 优惠券内容列表
| ||||||||||
| couponItemId data.content[].couponItemId | integer | 优惠券单项号码 ex) 80984 | ||||||||||
| couponId data.content[].couponId | integer | 优惠券号码 ex) 75, 80 | ||||||||||
| vendorItemId data.content[].vendorItemId | integer | 产品单项号码 ex) 3223826213 | ||||||||||
| startAt data.content[].startAt | string | 有效期开始时间 日期/时间 ex) 2017-08-04 01:00:00 | ||||||||||
| endAt data.content[].endAt | string | 有效期结束时间 日期/时间 ex) 2017-09-01 00:00:00 | ||||||||||
| status data.content[].status | string | 优惠券状态
| ||||||||||
| Pagination data.Pagination | object[] | 分页
| ||||||||||
| countPerPage data.Pagination[].countPerPage | number | 每页数据量 ex) 10, 20, 30 | ||||||||||
| currentPage data.Pagination[].currentPage | number | 当前页 ex) 1 | ||||||||||
| totalPages data.Pagination[].totalPages | number | 总页面数 ex) 1000 | ||||||||||
| totalElements data.Pagination[].totalElements | number | 总数据量 ex) 1000 |
Response Example
{
"code": 200,
"message": "OK",
"httpStatus": 200,
"httpStatusMessage": "OK",
"errorMessage": "",
"data": {
"success": true,
"content": [
{
"couponItemId": 81172,
"couponId": 84,
"vendorItemId": 3226138951,
"startAt": "2017-08-09 01:00:00",
"endAt": "2017-09-01 00:00:00",
"status": "APPLIED"
},
{
"couponItemId": 81171,
"couponId": 84,
"vendorItemId": 3226138847,
"startAt": "2017-08-09 01:00:00",
"endAt": "2017-09-01 00:00:00",
"status": "APPLIED"
}
],
"pagination": {
"currentPage": 0,
"countPerPage": 1000,
"totalPages": 1,
"totalElements": 2
}
}
}# 05
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
错误说明
| HTTP | 类型 | 错误消息 | 解决方案 |
|---|---|---|---|
| 400 | 400 (check request parameter) | 请确认卖家权限 | 查看卖家ID(vendorid)值是否输入正确 |